/**
 * @name string-bionic-split
 * @fileoverview Calculate a word string split position index for later highlighting
 * @version 2.0.4
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-bionic-split/}
 */

"use strict";var stringBionicSplit=(()=>{var o=Object.defineProperty;var m=Object.getOwnPropertyDescriptor;var g=Object.getOwnPropertyNames,r=Object.getOwnPropertySymbols;var p=Object.prototype.hasOwnProperty,a=Object.prototype.propertyIsEnumerable;var c=(e,t,i)=>t in e?o(e,t,{enumerable:!0,configurable:!0,writable:!0,value:i}):e[t]=i,l=(e,t)=>{for(var i in t||(t={}))p.call(t,i)&&c(e,i,t[i]);if(r)for(var i of r(t))a.call(t,i)&&c(e,i,t[i]);return e};var h=(e,t)=>{for(var i in t)o(e,i,{get:t[i],enumerable:!0})},$=(e,t,i,s)=>{if(t&&typeof t=="object"||typeof t=="function")for(let n of g(t))!p.call(e,n)&&n!==i&&o(e,n,{get:()=>t[n],enumerable:!(s=m(t,n))||s.enumerable});return e};var b=e=>$(o({},"__esModule",{value:!0}),e);var w={};h(w,{defaults:()=>u,split:()=>y,version:()=>E});var d="2.0.4";var E=d,u={throwIfEdgeWhitespace:!0};function y(e,t){if(typeof e!="string")throw new Error(`string-bionic-split: [THROW_ID_01] The input should be a string! We received ${JSON.stringify(e,null,4)} (typeof is ${typeof e})`);if(t&&(Array.isArray(t)||typeof t!="object"))throw new Error(`string-bionic-split: [THROW_ID_02] The options object should be a plain object! We received ${JSON.stringify(t,null,4)} (typeof is ${typeof t})`);if(!e.length)return 0;if(l(l({},u),t).throwIfEdgeWhitespace)if(e[0].trim()){if(!e[~-e.length].trim())throw new Error("string-bionic-split: [THROW_ID_04] Trailing whitespace detected!")}else throw new Error("string-bionic-split: [THROW_ID_03] Leading whitespace detected!");let s="aeiouy\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF2\xF3\xF4\xF5\xF6\xF8\xF9\xFA\xFB\xFC\xFD\xFF\u0101\u0103\u0105\u0113\u0115\u0117\u0119\u011B\u0129\u012B\u012D\u012F\u0133\u014D\u014F\u0151\u0153\u0169\u016B\u016D\u016F\u0171\u0173\u0177\u01CE\u01D0\u01D2\u01D4\u01D6\u01D8\u01DA\u01DC\u01DF\u01E1\u01E3\u01EB\u01ED\u01FB\u01FD\u01FF\u0201\u0203\u0205\u0207\u0209\u020B\u020D\u020F\u0215\u0217\u0227\u0229\u022B\u022D\u022F\u0231\u0233\u0307\u0430\u0435\u0438\u0439\u043E\u0443\u044B\u044D\u044E\u044F\u0450\u0451\u0454\u0456\u0457\u045D\u045E";if(e.length<=3){if(e.length===1){if("dghmts\u043C\u0447\u0441\u0442".includes(e.toLowerCase()))return 0}else if(e.length===2&&["km","dm","cm","mm","nm","ms","ns","pb","tb","mb","kb","kg"].includes(e.toLowerCase()))return 0;return 1}else{if(e.length===4)return 2;if(e.length%2===1){let n=Math.floor(e.length/2);return s.includes(e[n].toLowerCase()),n+1}}return Math.floor(e.length/2)}return b(w);})();
